UpdateUserGroup
curl --request PATCH \
--url https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": true,
"userIds": [
"<string>"
],
"isExternal": true
}
}
'import requests
url = "https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId}"
payload = {
"updateMask": "<string>",
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": True,
"userIds": ["<string>"],
"isExternal": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"userGroup\": {\n \"name\": \"<string>\",\n \"roleId\": \"<string>\",\n \"isDefault\": true,\n \"userIds\": [\n \"<string>\"\n ],\n \"isExternal\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userGroup": {
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UserGroupService
UpdateUserGroup
Updates a user group.
PATCH
/
api
/
v2
/
user-groups
/
{userGroup.userGroupId}
UpdateUserGroup
curl --request PATCH \
--url https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": true,
"userIds": [
"<string>"
],
"isExternal": true
}
}
'import requests
url = "https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId}"
payload = {
"updateMask": "<string>",
"userGroup": {
"name": "<string>",
"roleId": "<string>",
"isDefault": True,
"userIds": ["<string>"],
"isExternal": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/user-groups/{userGroup.userGroupId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"userGroup\": {\n \"name\": \"<string>\",\n \"roleId\": \"<string>\",\n \"isDefault\": true,\n \"userIds\": [\n \"<string>\"\n ],\n \"isExternal\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userGroup": {
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I